Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 546868

Summary: net-misc/nx-3.5.0.30: undefined reference to 'dlopen' and 'dlsym'
Product: Gentoo Linux Reporter: Erik Zeek <zeekec>
Component: Current packagesAssignee: NX Server Herd <nx>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 372079    
Attachments: build log

Description Erik Zeek 2015-04-17 04:36:46 UTC
Created attachment 401420 [details]
build log

After much compiling, I get:

../../exports/lib/libNX_X11.so: error: undefined reference to 'dlopen'
../../exports/lib/libNX_X11.so: error: undefined reference to 'dlsym'


emerge --info '=net-misc/nx-3.5.0.30::gentoo'
Portage 2.2.18 (python 2.7.9-final-0, default/linux/amd64/13.0/desktop/kde/systemd, gcc-4.9.2, glibc-2.20-r2, 4.0.0-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.0.0-gentoo-x86_64-AMD_Phenom-tm-_II_X6_1055T_Processor-with-gentoo-2.2
KiB Mem:    16409068 total,   4683368 free
KiB Swap:   10491892 total,  10162472 free
Timestamp of repository gentoo: Fri, 17 Apr 2015 01:45:01 +0000
sh bash 4.3_p33-r2
ld GNU gold (Gentoo 2.25 p1.0 2.25) 1.11
ccache version 3.2.1 [disabled]
app-shells/bash:          4.3_p33-r2::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.9-r2::gentoo, 3.3.5-r1::gentoo, 3.4.3::gentoo
dev-util/ccache:          3.2.1-r1::gentoo
dev-util/cmake:           3.2.1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.13.11::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r1::gentoo
sys-devel/automake:       1.10.3-r1::gentoo, 1.11.6-r1::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25::gentoo
sys-devel/gcc:            4.9.2::gentoo
sys-devel/gcc-config:     1.8::gentoo
sys-devel/libtool:        2.4.6-r1::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.0::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo
Repositories:

gentoo
    location: /gentoo/portage
    sync-type: rsync
    sync-uri: rsync://rsync.us.gentoo.org/gentoo-portage
    priority: -1000

grub2-themes
    location: /gentoo/local/layman/grub2-themes
    sync-type: git
    sync-uri: https://github.com/gentoo/grub2-themes-overlay.git
    masters: gentoo
    priority: 50

java
    location: /gentoo/local/layman/java
    sync-type: laymansync
    sync-uri: git://git.overlays.gentoo.org/proj/java.git
    masters: gentoo
    priority: 50

jmbsvicetto
    location: /gentoo/local/layman/jmbsvicetto
    sync-type: git
    sync-uri: git://git.overlays.gentoo.org/dev/jmbsvicetto.git
    masters: gentoo
    priority: 50

kde
    location: /gentoo/local/layman/kde
    sync-type: git
    sync-uri: git://git.overlays.gentoo.org/proj/kde.git
    masters: gentoo
    priority: 50

science
    location: /gentoo/local/layman/science
    sync-type: git
    sync-uri: git://git.overlays.gentoo.org/proj/sci.git
    masters: gentoo
    priority: 50

steam-overlay
    location: /gentoo/local/layman/steam-overlay
    sync-type: git
    sync-uri: git://github.com/anyc/steam-overlay.git
    masters: gentoo
    priority: 50

x11
    location: /gentoo/local/layman/x11
    sync-type: git
    sync-uri: git://git.overlays.gentoo.org/proj/x11
    masters: gentoo
    priority: 50

zeekec
    location: /gentoo/local/portage
    masters: gentoo
    priority: 100

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -mtune=native -march=native -O2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/games/angband/edit/ /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -mtune=native -march=native -O2"
DISTDIR="/gentoo/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going -j 3"
FCFLAGS="-O2 -pipe -mtune=native -march=native -O2"
FEATURES="assume-digests binpkg-logs candy cgroup clean-logs collision-protect compress-build-logs config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles merge-sync news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe -mtune=native -march=native -O2"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--sort-common -Wl,--enable-new-dtags -Wl,--hash-style=gnu"
MAKEOPTS="-j8 --load-average=12"
PKGDIR="/gentoo/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="-i --no-p --omit-dir-times"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/gentoo/tmp"
USE="256-color 3des 3dnow 3dnowext 3ds 64bit R S3TC X a2ps a52 aac aacplus aacs aalib accessibility ace acl acoustid acpi additions addressbook adolc aes aesicm aften agg aimodules aio airplay akonadi alac alaw alevt alisp all_sfx alsa amd64 amr anacron analitza ancient android animgif ansi ant ao apache apache2 apm apng arcfour archive armadillo arpack asdf asn asn1 asyncns atm atsc attica audacious audio audiofile audit auth authdaemond auto-completion autoipd automap automount autotools autotrace avahi baremetal bash-completion bazaar bcmath bdf berkdb bidi bitmap bittorrent bl blas blender blksha1 bloodsuckermaps bluray bookmarks boost branding btrfs bugzilla builder bwscheduler bzip2 c++0x cairo cal3d calendar canberra canna caps cblas-external ccache cdda cddb cdf cdinstall cdparanoia cdr cdrom cdsound cegui celt cgi chardet charmap cheats checkpath chm chroot cilk city clamav clang cli client cloudprint clucene clutter cmake collab collada color colordiff compress context contrast contrib convert-mozilla-cookies corefonts cpio cpufreq_bench cpumining cracklib cramfs crashreporter cron crypt cryptsetup csc cscope css ctype cups curl curlwrappers custom-optimization cvs cvsgraph cxx d dap data dbus debug-frame debug-utils declarative demo designer designer-plugin desktopglobe detex development devhelp device-mapper dga dhcp dia dirac discouraged distinct-l djvu dlna dmraid dns docbook doctool doom doomsday dot double-precision down-root downloadorder dri dri3 drm drmaa drmkms dtmf dts dv dvb dvd dvdnav dvdr dvi dvipdfm ebook editor egl eglfs eigen elf elfutils emacs embedded emboss emf emovix enca encode enscript epspdf epub ethernet evdev examples excel exceptions exif expoblending extensions extra extra-algorithms extra-cardsets extra-ciphers extra-tools extraengine extras faac faad facebook facedetect faillog fakevim fam fancy fastcgi fat fax fbcondecor fcgi fdk festival ffmpeg fftw filter finger firefox firewalld firmware fits flac flash flatfile flickr fluidsynth fmod fontconfig fontforge fonts foomaticdb fortran fortran95 fortune fpx frei0r ftp fullscreen fuse g3dvl gadu gallium games gbm gcdmaster gcj gcrypt gd gdal gdbm geoclue geoip geolocation geonames geos gif gimp git gkrellm glade glamor glep gles2 glew glgd glib gltf glut gmath gme gml gmp gmtfull gmttria gnome-print gnuplot go gold google gopher gost gpac gpg gphoto2 gpm grammar graphics graphite graphviz grass groupwise gsf gsl gsm gstreamer gtk gtk3 gtkhtml gts gui guidexml guile gzip gzip-el h224 h281 h323 hash hbci hddtemp hdf hdf5 hdri help hesiod heterogeneous hexen high-ints highlight history hostip hou hpijs hscolour html htmlreport http httpd humanities hunspell hwinfo hyphenation i18n ical iconv icoutils icq icu id3tag ide idea idn ieee1394 ignore-case image imagemagick imaging imap imlib importd inifile inkjar inotify introspection ipod ipv6 ipython irc isag ithreads ivr jabber jadetex jai java java6 javacomm javascript jbig jce jimi jit jmf john jpeg jpeg2k json kate kde kdecards kdenlive kdepim kdrive kerberos kernel kernel-patch keymap kipi kms kontact kpathsea kvm ladspa lame lapack lasi latex lcms ldap lensfun libass libburn libffi libkms liblockfile libnotify libproxy libsamplerate libsecret libssh2 libtiger libv4l libvirtd libwww lightning lights live llvm llvm-gcc llvm-shared-libs lm_sensors localstorage lock log log4j logrotate logviewer logwatch lqr lto lua luatex lvm lxc lyrics lz4 lzma lzo mad madde mail maildir manual map mapimg maps math mathml matplotlib matroska maui mbrola md5sum mdadm mdnsresponder-compat media mediawiki melt memmap mercurial metadata-analysis-api metapost metis mhash midi mikmod mime minizip mixer mjpeg mmap mms mmx mmxext mng mod modpack module modules mono mopac7 mount mozdom mozilla mp3 mp3tunes mp4 mpeg mpi_njtree mplayer mpqc mtp mudflap multilib multimedia multiprocess multitarget multiuser musepack music musicbrainz mysql mysqli na_dd na_dtv na_icons nas nat natspec nbconvert ncat ncurses ndiff net netcdf nethack netpbm network network-cron networking networkmanager new-clx new-login nfs nfsdcld nfsv4 nfsv41 nls nmap-update nntp nocd nominatim nosource notebook nowin nowlistening nping npp nptl nsplugin nss nsscache nssdb ntfs ntfsprogs ntp numa numpy nut nuv nvtt oauth objc objc++ objc-gc ocr octave odbcmanual odf ofa offensive offlinehelp ofx ogg ogm okteta okular omega oom openal openbabel opencv openexr opengl openinventor openmax openmp openssl opensslcrypt openstreetmap optimization opus orc osc oscar osd osdmenu osgapps osmesa otr ots pager pam pam_ssh pango panorama paranoidmsg parcheck parse-clocks parted patented pbins pbs pch pci pcntl pcre pcre16 pdf pdfannotextractor pdl2 pdo pep8 perl pgo pgplot phonon phyp physfs pink pipe pkcs11 plasma player playlist plazes plotutils plugins png pnm policykit pop popcnt portage positioning posix postfix postproc postscript ppds pptx printsupport prison proj projectm proprietary-codecs protobuf psf pstricks publishers pulseaudio pvr pygments pylint python python3 q16 q32 q64 q8 qalculate qd qemu qhull qimageblitz qml qnx qos qrcode qscintilla qt-dbus qt3support qt5 qthelp quesoglc quicktime quota qwt r600-llvm-compiler radio ramfs rar raw rc5 rcs rdesktop readline redeyes redland regex remix remote rendering reports resources reviewboard rfc3779 rle rogue romio root rpc rpm rrdcgi rrdtool rss rtc rtf rtmp rtsp s3tc samba sasl sbcl scale0tilt scanfolder scanner schroedinger science scipy scotch screen script scripting scripts scripttools scrypt sdk sdl sdl-image sdlgfx search search-index secure-delete semantic-desktop sensord sensors server session setproctitle setup sftp sha512 shadow shapefile shared-glapi sharedmem shine shm shmvideo shorten shout sid sift sigsegv sip sipim skins skydrive skype slp smbclient smbsharemodes smbtav2 smime smp smpeg sms sndfile snmp soap sockets socks socks5 solver songs soprano sou sound sounds soup sourceview sox spamassassin sparse spatialite speech speex spell sphinx spice sql sqlite sqlite3 srt srtp sse sse2 sse3 sse4a ssh ssh-agent ssl staging stars startup-notification statistics stats steamfonts steamgames_source_engine steamgames_tf2 steamgames_trine2 stlport stream streaming subject-rewrite subtitles subunit subversion suexec suid superlu svg swat swig switcher symlink sync-plugin-portage syslog system-cairo system-icu system-jpeg system-sqlite systemd systeminfo sysvipc szip t1lib taamey taglib tcl telepathy templates tesseract testbed tex4ht texi2html textures tga themedesigner themes theora thesaurus thin-splines threads threadsafe thumbnail thunar tidy tiff timezone tk tls tokenizer toolbar tools torque track-src-odirect transcode translator trayicon truetype tts tty-helpers tv tv_check tv_combiner tv_pick_cgi twolame type3 udev udisks udunits umfpack uml unicode unique unwind unzip upnp upower urandom urlpicpreview usb userpriv utempter utils uudeview uuid v4l vamp vcd vcdx vde vdpau vdr verify-file video videos videoslideshow vim vim-pager vim-syntax virt-network virtualbox virtuoso visibility visio visual vlc vlm vnc voice vorbis vpx vserver vxml warmstarts wav wavpack weather web webcam webdav webdav-neon webdav-serf webinterface webkit webm webp webpresence websockets wide-unicode widgets wifi wiki winbind windeco wineappdb wininst winpopup wma wma-fixed wmf word-perfect wordperfect wpg wps wxwidgets wyfv x11 x11extras x264 xa xanim xattr xcap xcb xcomposite xdm-auth xerces-c xetex xext xface xforms xft xhtml xine xinerama xkb xlib-xcb xml xmlpatterns xmlreader xmlrpc xmlwriter xmp xnest xorg xosd xpm xrandr xrender xscreensaver xsl xslt xtended xterm xv xvfb xvid xvmc yahoo-geo youtube zeitgeist zeroconf zip zlib zsh-completion zvbi" ABI_X86="64 32" ALSA_CARDS="intel8x0 intel8x0m pxa2xx-ac97 hda-intel" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias cgi cgid authn_core authz_core unixd socache_shmcb lbmethod_bytraffic slotmem_shm" APACHE2_MPMS="prefork" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext popcnt sse sse2 sse3 sse4a" CURL_SSL="openssl" DRACUT_MODULES="btrfs crypt syslog biosdevname caps crypt-gpg ssh-client syslog" DVB_CARDS="af9005 bcm3510 cx18 cx231xx cx23885 mpc718 nxt200x sp8870 sp887x" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer nlpsolver pdfimport scripting-javascript wiki-publisher scripting-beanshell" LINGUAS="en en_US" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 ppc ppc64 ppc64abi32 x86_64" RUBY_TARGETS="ruby20 ruby22" SANE_BACKENDS="canon canon630u canon_dr canon_pp hp hp3500 hp3900 hp4200 hp5400 hp5590 hpljm1005 hpsj5s net pnm" USERLAND="GNU" VIDEO_CARDS="r600 radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, USE_PYTHON
Comment 1 Erik Zeek 2015-04-18 03:37:15 UTC
This appears to be an issue with using the gold linker. I switched back to bfd and was able to get it to compile successfully.
Comment 2 Bernard Cafarelli gentoo-dev 2015-04-24 12:51:03 UTC
Thanks for the report! gold is "better" to show underlinking errors, and nx has some really old Makefiles…
Comment 3 Bernard Cafarelli gentoo-dev 2015-04-24 13:54:52 UTC
Fixed in current 3.5.0.30 ebuild, I'll report this upstream too